/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    STRUCTURE
    Structure globale du site
*/

/*
  00 - ZONE EXTÉRIEURE
        Loader
        Page
  01 - HEADER (EN-TETE)
        Recherche
        Widgets > Header (BO)
  02 - ZONE INTERIEURE (CONTENU)
        Main
        Hero Header
        Scroll Top
  03 - ASIDE
        Leftbar
        Rightbar
  04 - FOOTER (PIED DE PAGE)
  05 - PAGE ERREUR
*/



/* -----------------------
  00 - ZONE EXTÉRIEURE
        Loader
------------------------ */

.loader-container {
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white);
    z-index: 11;
}

.loader {
    position: relative;
    border-radius: 50%;
    width: 48px;
    height: 48px;
    animation: rotate 1s linear infinite
}

    .loader::before {
        content: "";
        box-sizing: border-box;
        position: absolute;
        inset: 0;
        border: 5px solid var(--color-primary);
        border-radius: 50%;
        animation: circular-progress-bar 2s linear infinite ;
    }

    @keyframes rotate {
        100%   {transform: rotate(360deg)}
    }

    @keyframes circular-progress-bar {
        0%   {clip-path:polygon(50% 50%,0 0,0 0,0 0,0 0,0 0)}
        25%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 0,100% 0,100% 0)}
        50%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)}
        75%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0 100%,0 100%)}
        100% {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0 100%,0 0)}
    }



/* -----------------------
  00 - ZONE EXTÉRIEURE
        PAGE
------------------------ */

body > .page {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

    /* Connecté au BO */
    body.admin-bar > .page {
        min-height: calc(100vh - 32px);
    }



/* -----------------------
  01 - HEADER (EN-TETE)
        Recherche
------------------------ */

.btn-search-mobile {
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid var(--gray-500);
    margin-right: 12px;
    padding: 3px 6px;
    padding-right: 12px;
    font-size: 1.6rem;
    transform: none;
}

    @media (min-width: 992px) {
        .btn-search-mobile {
            display: none;
        }
    }

@media (max-width: 991px) {
        /* Not Active */
        .js_toggleSearchMobile:not(.active) + .widget-search {
            pointer-events: none;
            top: 60%;
            opacity: 0;
            z-index: 1;
        }

    .widget-search .search-field {
        width: 100%;
    }
}

.header__sociaux {
    display: flex;
    align-items: flex-start;
}
@media (min-width: 1200px) {
    .header__sociaux {
        align-items: center;
    }
}

@media (max-width: 1199px) {
    .widget-search {
        margin-left: 8px;
    }
}



/* -----------------------------
  01 - HEADER (EN-TETE)
        Widgets > Header (BO)
----------------------------- */


@media (min-width: 1200px) {
        .box-header {
            display: flex;
            align-items: center;
            margin-left: 16px;
        }
    }

.box-header .widget:not(:first-child) {
    margin-left: 16px;
}

/* Widgets frères */
.box-header .widget_block + .widget_block {
    border-left: 1px solid var(--gray-500);
    margin-left: 12px;
    padding-left: 12px;
}

    @media (min-width: 992px) {
        .box-header .widget_block + .widget_block {
            margin-left: 20px;
            padding-left: 20px;
        }
    }

/* Mon compte + Mon panier (surcharge de Woocommerce) */
.wc-block-mini-cart__button,
.wp-block-woocommerce-customer-account {
    cursor: pointer;
    padding: 0;
}

.wc-block-mini-cart__quantity-badge,
.wp-block-woocommerce-customer-account a {
    display: flex;
    align-items: center;
    text-align: center;
}

    /* Icon */
    .wc-block-mini-cart__quantity-badge::before,
    .wp-block-woocommerce-customer-account a::before {
        color: var(--black);
        font-size: 2.2rem;
        font-family: 'icomoon';
        line-height: 1;
        margin-right: 6px;
    }

        @media (max-width: 991px) {
            .wc-block-mini-cart__quantity-badge::before,
            .wp-block-woocommerce-customer-account a::before {
                font-size: 1.6rem;
            }
        }

    /* Icon par défaut */
    .wc-block-mini-cart__quantity-badge svg,
    .wp-block-woocommerce-customer-account a svg {
        display: none;
    }

/* Label */
.wc-block-mini-cart__badge,
.wp-block-woocommerce-customer-account a .label {
    position: initial;
    display: block;
    color: var(--gray-600);
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1;
    margin: 0;
    padding: 0;
    height: auto;
    transform: none;
}

    @media (max-width: 991px) {
        .wp-block-woocommerce-customer-account a .label {
            display: none;
        }
    }

    /* Hover */
    .wc-block-mini-cart__badge:hover,
    .wp-block-woocommerce-customer-account a:hover .label {
        color: var(--color-quinary);
        text-decoration: underline;
    }


/* Mon compte (surcharge de Woocommerce) */
.box-header .widget_block:has(.wc-block-mini-cart__button[disabled]) {
    display: none;
}

/* Hover */
.wp-block-woocommerce-customer-account a:hover {
    text-decoration: none !important;
}

/* Icon */
.wp-block-woocommerce-customer-account a::before {
    content: "\e90c";
}


/* Mon panier (surcharge de Woocommerce) */

/* Hover */
.wc-block-mini-cart__button:hover:not([disabled]) {
    opacity: 1;
}

    @media (max-width: 991px) {
        .wc-block-mini-cart__quantity-badge {
            margin-right: 20px;
        }
    }

/* Icon */
.wc-block-mini-cart__quantity-badge::before {
    content: "\e90b";
}

/* Label */
@media (max-width: 991px) {
    .wc-block-mini-cart__badge {
        position: absolute;
        top: 50%;
        left: 100%;
        font-size: 1.1rem;
        transform: translateY(-50%);
    }
}

    /* Vide */
    .wc-block-mini-cart__badge:empty {
        opacity: 1;
    }

.wc-block-mini-cart__badge::before {
    content: "Mon panier (";
}

    @media (max-width: 991px) {
        .wc-block-mini-cart__badge::before,
        .wc-block-mini-cart__badge::after {
            color: var(--black);
        }

        .wc-block-mini-cart__badge::before {
            content: "(";
        }
    }

    /* Vide */
    .wc-block-mini-cart__badge:empty::before {
        content: "Mon panier (0";
    }

        @media (max-width: 991px) {
            .wc-block-mini-cart__badge:empty::before {
                content: "(0";
            }
        }

.wc-block-mini-cart__badge::after {
    content: ")";
}



/* -----------------------
  01 - HEADER (EN-TETE)
------------------------ */

.header {
    /* Quand on voit le header mais on pas encore au top */
    background-color: var(--white);
    width: 100%;
    z-index: 3;
}

    /* Au chargement et quand on remonte au top */
    .header.reset-fixed {
        position: static;
    }

    /* Quand on scroll */
    .header.fixed {
        position: fixed;
        transform: translateY(-100%);
        transition: transform .4s;
    }

        /* Au scroll vers le haut */
        .header.fixed:not(.scrolling) {
            transform: translateY(0);
        }

        /* Au scroll vers le bas pour éviter le sursaut */
        .header.fixed.scrolling.reset-fixed {
            transition: transform 0s;
        }

.header a {
    color: var(--color-primary);
}

/* TopBar */
.header-top {
    position: relative;
    background-color: var(--color-quaternary);
    padding: 11px;
    font-size: 1.1rem;
    color: var(--color-primary);
    font-weight: bold;
}
@media (min-width: 768px) {
    .header-top {
        font-size: 1.4rem;
    }
}

.header-top a {
    display: inline-block;
    color: var(--color-primary);
    text-decoration: underline;
}

.rs {
    display: flex;
    align-items: center;
}
@media (min-width: 1200px) {
    .rs {
        padding: 0 16px;
    }
}
@media (max-width: 1199px) {
    .header__sociaux {
        order: 1;
        padding-top: 15px;
    }
    .rs {
        flex-direction: column;
    }
}
    .rs li:not(:first-child) {
        margin: 8px 0 0;
    }
    @media (min-width: 1200px) {
        .rs li:not(:first-child) {
            margin: 0 0 0 16px;
        }
    }

.rs a{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 31px;
    height: 31px;
    border: 1px solid var(--color-primary);
    border-radius: 50%;
    font-size: 1.9rem;
}
@media (min-width: 768px) {
    .rs a{
        width: 50px;
        height: 50px;
    }
}
.widget_custom_html a.btn {
    color: var(--white);
}

/* Logo + Navigation */
.header-main {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;
    position: relative;
}

    @media (min-width: 1200px) {
        .header-main {
            padding: 0 40px;
        }
    }
    @media (max-width: 991px) {
        .header-main > .container {
            padding: 0;
        }
    }

/* Logo */
@media (max-width: 1199px) {
    .header-main--container {
        align-items: flex-start;
        justify-content: space-between;
    }
    .header__logo {
        order: 2;
    }
}

.header__logo img {
    min-width: 105px;
}

.menu-contact a {
    cursor: pointer;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-primary);
    color: var(--white);
    border-radius: 200px;
    font-size: 1.4rem;
    font-weight: 700;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    padding: 15px 25px;
    transition: background-color .4s, color .4s, border-color .4s;
}
.menu-contact a:hover {
    background-color: var(--color-secondary);
}



/* -----------------------------
  01 - HEADER (EN-TETE)
        Widgets Mobile Bottom
----------------------------- */

.widgets-mobile-bottom {
    /*position: fixed;
    bottom: 0;
    left: 0;
    box-shadow: 0 0 1px var(--gray-700);
    padding: 25px 30px;
    width: 100vw;
    z-index: 3;*/
}

    @media (min-width: 1200px) {
        .widgets-mobile-bottom {
            display: none;
        }
    }



/* ---------------------------------
  02 - ZONE INTERIEURE (CONTENU)
        Main
--------------------------------- */

main {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.main-content {
    flex-grow: 1;
}



/* ---------------------------------
  02 - ZONE INTERIEURE (CONTENU)
        Hero Header
--------------------------------- */

.page-hero {
    position: relative;
    padding: 0;
    background-color: #EFEFEF;
}
@media (min-width: 768px) {
    .page-hero {
        position: relative;
        padding: 64px 0;
    }
}

.page-hero__description,
.page-hero__description strong,
.page-hero__description a:not(.btn) {
    color: var(--white);
}

.page-hero__img {
    aspect-ratio: 16 / 9;
}
@media (min-width: 768px) {
    .page-hero__img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        aspect-ratio: initial;
    }
}

.page-hero__text {
    background-color: var(--color-tertiary);
    padding: 25px 32px 96px;
    position: relative;
}
@media (min-width: 768px) {
    .page-hero__text {
        padding: 54px 32px 42px;
        border-radius: 24px;
    }
}
@media (max-width: 767px) {
    .page-hero__text {
        width: 100vw;
        left: 50%;
        transform: translateX(-50%);
    }
}
.page-hero__text h1 {
    color: var(--white);
    margin-top: 0 !important;
    margin-bottom: 24px;
}
.page-hero__text h1 > span {
    color: var(--white);
    display: inline-block;
}
.page-hero__text > img {
    position: absolute;
    right: 10px;
    bottom: 18px;
}
@media (min-width: 768px) {
    .page-hero__text > img {
        right: -44px;
        top: -22px;
        bottom: initial;
    }
}



/* ---------------------------------
  02 - ZONE INTERIEURE (CONTENU)
        Scroll Top
--------------------------------- */

/*
  Infos :
    On gère l'espace avec reCaptcha v3 mais aussi
    avec l'effet sticky avant le footer
*/


/* ---------------------------------
  03 - ASIDE
        Leftbar
--------------------------------- */




/* ---------------------------------
  03 - ASIDE
        Rightbar
--------------------------------- */




/* -----------------------------
  04 - FOOTER (PIED DE PAGE)
----------------------------- */

.footer-container {
    color: var(--white);
    margin-top: auto;
    background-image: url('/wp-content/themes/frennly-child/img/charte/bg-blue-wave.svg');
    background-repeat: no-repeat;
    background-size: 100%;
    padding: 66px 0 12px;
    position: relative;
}
@media (min-width: 992px) {
    .footer-container {
        background-size: cover;
        padding: 162px 0 34px;
    }
}
@media (max-width: 991px) {
    .footer-container::after {
        content: "";
        position: absolute;
        top: 40px;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: var(--color-primary);
        z-index: -1;
    }
}

.footer-container a:not(.btn) {
    color: var(--white);
}

.footer__menu {
    line-height: 1.5;
}
@media (min-width: 1200px) {
    .footer__menu {
        margin: 40px 0 0;
    }
}

.footer__menu ul {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: max-content;
}
.footer__menu ul::before,
.footer__menu ul::after {
    content: "\e91c";
    font-family: icomoon;
    font-size: 4px;
    margin: 0 8px;
}

    @media (max-width: 991px) {
        .footer__menu ul {
            flex-wrap: wrap;
        }
    }

.footer__menu ul li {
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer__menu ul li a {
    font-size: 1.4rem;
}

    .footer__menu ul li:not(:last-child) a::after {
        content: "-";
        color: var(--white);
        margin: 0 4px;
    }

.footer .rs {
    justify-content: center;
}

.footer__content-title {
    font-weight: 800;
    margin-bottom: 22px;
    line-height: 156%;
}
@media (min-width: 992px) {
    .footer__content-title {
        padding-right: 72px;
    }
}

.footer__content-1 p strong {
    color: var(--white);
}
.footer__content-1 p:first-child strong {
    font-weight: 800;
}
.footer__content-1 p:nth-child(2) {
    margin-bottom: 26px;
}
@media (max-width: 767px) {
    .footer__content-1 p:nth-child(2) br {
        display: none;
    }
}
.footer__content-1 p:nth-child(3) {
    margin-bottom: 30px;
}
@media (min-width: 768px) {
    .footer__content-1 p:nth-child(3) {
        margin-bottom: 20px;
    }
}

@media (max-width: 1199px) {
    .footer__logo,
    .footer__content-1,
    .footer__content-2,
    .footer__content-3 {
        flex: 0 0 50%;
        margin-bottom: 50px;
    }
}
@media (max-width: 991px) {
    .footer__logo,
    .footer__content-1,
    .footer__content-2,
    .footer__content-3 {
        flex: 0 0 100%;
        text-align: center;
    }
}

@media (min-width: 768px) {
    .footer-content-picture img {
        max-width: 220px;
    }
}
